<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/sys_pll/sys_pll_0002.v Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_4ace22e47560c8ba8cf0f3a3efc98ed3.html">sys_pll</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">sys_pll_0002.v</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; <span class="preprocessor">`timescale</span> 1ns/10ps</div>
<div class="line"><a name="l00002"></a><span class="lineno"><a class="code" href="enumsys__pll__0002.html">    2</a></span>&#160;<span class="vhdlkeyword">module</span>  <a class="code" href="enumsys__pll__0002.html">sys_pll_0002</a>(</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;    <span class="keyword">// interface &#39;refclk&#39;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    <span class="vhdlkeyword">input</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">refclk</span>,</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    <span class="keyword">// interface &#39;reset&#39;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="vhdlkeyword">input</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">rst</span>,</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="keyword">// interface &#39;outclk0&#39;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">outclk_0</span>,</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">// interface &#39;outclk1&#39;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">outclk_1</span>,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">// interface &#39;outclk2&#39;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">outclk_2</span>,</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">// interface &#39;outclk3&#39;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">outclk_3</span>,</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">// interface &#39;outclk4&#39;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">outclk_4</span>,</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">// interface &#39;locked&#39;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> <span class="vhdlchar">locked</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="vhdlchar">altera_pll</span> #(</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        .<span class="vhdlchar">fractional_vco_multiplier</span>(<span class="keyword">&quot;false&quot;</span>),</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        .<span class="vhdlchar">reference_clock_frequency</span>(<span class="keyword">&quot;50.0 MHz&quot;</span>),</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        .<span class="vhdlchar">operation_mode</span>(<span class="keyword">&quot;direct&quot;</span>),</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        .<span class="vhdlchar">number_of_clocks</span>(<span class="vhdllogic">5</span>),</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        .<span class="vhdlchar">output_clock_frequency0</span>(<span class="keyword">&quot;50.000000 MHz&quot;</span>),</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        .<span class="vhdlchar">phase_shift0</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        .<span class="vhdlchar">duty_cycle0</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        .<span class="vhdlchar">output_clock_frequency1</span>(<span class="keyword">&quot;100.000000 MHz&quot;</span>),</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        .<span class="vhdlchar">phase_shift1</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        .<span class="vhdlchar">duty_cycle1</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        .<span class="vhdlchar">output_clock_frequency2</span>(<span class="keyword">&quot;40.000000 MHz&quot;</span>),</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        .<span class="vhdlchar">phase_shift2</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        .<span class="vhdlchar">duty_cycle2</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        .<span class="vhdlchar">output_clock_frequency3</span>(<span class="keyword">&quot;25.000000 MHz&quot;</span>),</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        .<span class="vhdlchar">phase_shift3</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        .<span class="vhdlchar">duty_cycle3</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        .<span class="vhdlchar">output_clock_frequency4</span>(<span class="keyword">&quot;10.000000 MHz&quot;</span>),</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        .<span class="vhdlchar">phase_shift4</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        .<span class="vhdlchar">duty_cycle4</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        .<span class="vhdlchar">output_clock_frequency5</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        .<span class="vhdlchar">phase_shift5</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        .<span class="vhdlchar">duty_cycle5</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        .<span class="vhdlchar">output_clock_frequency6</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        .<span class="vhdlchar">phase_shift6</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        .<span class="vhdlchar">duty_cycle6</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        .<span class="vhdlchar">output_clock_frequency7</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        .<span class="vhdlchar">phase_shift7</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        .<span class="vhdlchar">duty_cycle7</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        .<span class="vhdlchar">output_clock_frequency8</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        .<span class="vhdlchar">phase_shift8</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        .<span class="vhdlchar">duty_cycle8</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        .<span class="vhdlchar">output_clock_frequency9</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        .<span class="vhdlchar">phase_shift9</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        .<span class="vhdlchar">duty_cycle9</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        .<span class="vhdlchar">output_clock_frequency10</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        .<span class="vhdlchar">phase_shift10</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        .<span class="vhdlchar">duty_cycle10</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        .<span class="vhdlchar">output_clock_frequency11</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        .<span class="vhdlchar">phase_shift11</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        .<span class="vhdlchar">duty_cycle11</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        .<span class="vhdlchar">output_clock_frequency12</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        .<span class="vhdlchar">phase_shift12</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        .<span class="vhdlchar">duty_cycle12</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        .<span class="vhdlchar">output_clock_frequency13</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        .<span class="vhdlchar">phase_shift13</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        .<span class="vhdlchar">duty_cycle13</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        .<span class="vhdlchar">output_clock_frequency14</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        .<span class="vhdlchar">phase_shift14</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        .<span class="vhdlchar">duty_cycle14</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        .<span class="vhdlchar">output_clock_frequency15</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        .<span class="vhdlchar">phase_shift15</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        .<span class="vhdlchar">duty_cycle15</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        .<span class="vhdlchar">output_clock_frequency16</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        .<span class="vhdlchar">phase_shift16</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        .<span class="vhdlchar">duty_cycle16</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        .<span class="vhdlchar">output_clock_frequency17</span>(<span class="keyword">&quot;0 MHz&quot;</span>),</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        .<span class="vhdlchar">phase_shift17</span>(<span class="keyword">&quot;0 ps&quot;</span>),</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        .<span class="vhdlchar">duty_cycle17</span>(<span class="vhdllogic">50</span>),</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        .<span class="vhdlchar">pll_type</span>(<span class="keyword">&quot;General&quot;</span>),</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        .<span class="vhdlchar">pll_subtype</span>(<span class="keyword">&quot;General&quot;</span>)</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    ) <span class="vhdlchar">altera_pll_i</span> (</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        .<span class="vhdlchar">rst</span>    (<span class="vhdlchar">rst</span>),</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        .<span class="vhdlchar">outclk</span> ({<span class="vhdlchar">outclk_4</span>, <span class="vhdlchar">outclk_3</span>, <span class="vhdlchar">outclk_2</span>, <span class="vhdlchar">outclk_1</span>, <span class="vhdlchar">outclk_0</span>}),</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        .<span class="vhdlchar">locked</span> (<span class="vhdlchar">locked</span>),</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        .<span class="vhdlchar">fboutclk</span>   ( ),</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        .<span class="vhdlchar">fbclk</span>  (<span class="vhdllogic">1&#39;b0</span>),</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        .<span class="vhdlchar">refclk</span> (<span class="vhdlchar">refclk</span>)</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    );</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="vhdlkeyword">endmodule</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:18 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
